% CB-PROXY(1) Cyber Grand Challenge Manuals
% Brian Caswell <bmc@lungetech.com>
% June 1, 2015

# NAME

cb-packet-log - CGC Packet Logger

# SYNOPSIS

cb-packet-log [options] 


# DESCRIPTION

cb-packet-log is a CGC network appliance UDP traffic capture tool.  cb-packet-log will accept UDP traffic as formatted by the network appliance and optionally save the traffic in pcap format.

A sample wireshark decoder, 'cgc.lua', can be used to inspect the pcaps generated by 'cb-packet-log'.

# ARGUMENTS

none

# OPTIONS
 
-h
:   Display a usage message and exit

--debug
:   Enable debugging output (default: False)

--port *PORT*
:   Receive pcap logs on port *PORT* (default: 1999)

--pcap_file *PCAP_FILE*
:  Write logs to fiel *PCAP_FILE* (default: None)


# EXAMPLE USES

- cb-packet-log

Instantiates cb-packet-log with default settings (listening on port 1999)

- cb-packet-log --port 12345 --pcap_file somefilename.pcap

Instantiates cb-packet-log listening on port 12345.  Network appliance UDP traffic will be consumed and written to the local file somefilename.pcap.

# COPYRIGHT

Copyright (C) 2015, Brian Caswell <bmc@lungetech.com>

# SEE ALSO

`cb-proxy` (1)

For more information relating to DARPA's Cyber Grand Challenge, please visit <http://www.darpa.mil/cybergrandchallenge/>
